Set application context

- « GearmanClient::setCompleteCallback

- GearmanClient::setCreatedCallback »

- PHP Manual
- GearmanClient
- Set application context

# GearmanClient::setContext

(PECL gearman >= 0.6.0)

GearmanClient::setContext — Set application context

### Description

public GearmanClient::setContext(string `$data`): bool

Sets an arbitrary string to provide application context that can later be retrieved by GearmanClient::context().

### Parameters

`data`

  Arbitrary context data

### Return Values

Always returns `true`.

### See Also

- GearmanClient::context() - Get the application context